Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.txbridge.ba.annotation
Enum DataMatch

    java.lang.Object
      java.lang.Enum<DataMatch>
          org.jboss.txbridge.ba.annotation.DataMatch

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<DataMatch>

    public enum DataMatch

extends java.lang.Enum<DataMatch>

List of supported datamgmt types. Compensation type defines what data needs to be remembered so that datamgmt action can be executed.

Version:
  0.1
Author:
  Maciej P. Machulak (mmachulak@redhat.com)

Enum Constant Summary
`CUSTOM`
`PARAMETERS_MATCH`
`RETURN_VALUE`

Method Summary
`static DataMatch` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DataMatch[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### RETURN_VALUE

    public static final DataMatch RETURN_VALUE

### PARAMETERS_MATCH

    public static final DataMatch PARAMETERS_MATCH

### CUSTOM

    public static final DataMatch CUSTOM

Method Detail

### values

    public static final DataMatch[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(DataMatch c : DataMatch.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static DataMatch valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD